Batch - Get
curl --request GET \
--url https://api.skulabs.com/batch/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/batch/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/batch/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch": {
"_id": "507f1f77bcf86cd799439011",
"number": 123,
"orders": [
{
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"bin": "<string>",
"status": "<string>",
"items": [
{}
],
"scans": [
{}
],
"misscans": [
{}
],
"shipments": [
{}
],
"purchase_orders": [
{}
],
"log": [
{}
],
"inventory": [
{}
],
"combined_order_numbers": [
"<string>"
],
"stash": {},
"barcodes": [
{}
],
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"notes": "<string>",
"batch_number": 123
}
],
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z"
}
],
"ship_end": "2025-01-15T12:00:00.000Z",
"batch_settings": {
"name": "<string>",
"type": "<string>",
"warehouse_filters": [
"<string>"
],
"include_out_of_stock": true,
"include_partially_fulfillable": true,
"ship_mode": "<string>",
"n_sku_batch": true,
"same": true
},
"inventory": [
{}
],
"inventory_map": {}
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Batch
Batch - Get
Retrieve batch details by ID, including orders and fulfillment progress.
GET
/
batch
/
get
Batch - Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Batch ID to retrieve
Example:
"507f1f77bcf86cd799439011"
Batch number to retrieve
Response
Full batch detail with orders, inventory, and scan data
Show child attributes
Show child attributes
⌘I